

select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=4   and LoginTime>='2023-04-01' and LoginTime<'2023-05-01' 
group by UserId
) t 



select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=10  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01' and BossId='25001'
group by UserId
) t 




select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=7  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  and BossId!='27002'
  group by UserId
) t 

select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=7  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  and BossId='27002'
  group by UserId
) t 

select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=8  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01' and BossId='27002'    group by UserId
) t 
 

select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=9  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  group by UserId
) t 

select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=11  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  group by UserId
) t 
 

select 12,count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=12  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  group by UserId
) t ;

select  13,count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=13  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  group by UserId
) t ;

select  14,count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=14  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  group by UserId
) t ;
select  15,count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=15  and LoginTime>='2023-04-01' and LoginTime<'2023-05-01'  group by UserId
) t ;










select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=4   and LoginTime>='2023-01-01' and LoginTime<'2023-02-01' group by UserId
) t 


select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=8   and BossId='27002'  and LoginTime>='2023-01-01' and LoginTime<'2023-02-01'   group by UserId
) t 


select count(1) from (
select UserId from CloudPlatFormUserData.dbo.T_User_Login where appid=11 and BossId='27002'  and LoginTime>='2023-01-01' and LoginTime<'2023-02-01'   group by UserId
) t  





